net.corda.node.services.network

## Class NodeRegistration

- net.corda.node.services.network.NodeRegistration

-     public class NodeRegistration

  A node registration state in the network map.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `NodeRegistration(NodeInfo node, long serial, AddOrRemove type, java.time.Instant expires)` A node registration state in the network map.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.time.Instant` | `getExpires()`
    `NodeInfo` | `getNode()`
    `long` | `getSerial()`
    `AddOrRemove` | `getType()`
    `void` | `setExpires(java.time.Instant p)`
    `java.lang.String` | `toString()`
    `WireNodeRegistration` | `toWire(java.security.PrivateKey privateKey)` Build a node registration in wire format.

- - ### Constructor Detail

    - #### NodeRegistration

          public NodeRegistration(NodeInfo node,
                                  long serial,
                                  AddOrRemove type,
                                  java.time.Instant expires)

      A node registration state in the network map.

      Parameters:
        `node` - the node being added/removed.
        `serial` - an increasing value which represents the version of this registration. Not expected to be sequential, but later versions of the registration must have higher values (or they will be ignored by the map service). Similar to the serial number on DNS records.
        `type` - add if the node is being added to the map, or remove if a previous node is being removed (indicated as going offline).
        `expires` - when the registration expires. Only used when adding a node to a map.

  - ### Method Detail

    - #### toWire

          public WireNodeRegistration toWire(java.security.PrivateKey privateKey)

      Build a node registration in wire format.

    - #### toString

          public java.lang.String toString()

    - #### getNode

          public NodeInfo getNode()

    - #### getSerial

          public long getSerial()

    - #### getType

          public AddOrRemove getType()

    - #### getExpires

          public java.time.Instant getExpires()

    - #### setExpires

          public void setExpires(java.time.Instant p)